// variable
// blue
$color-blue-1: #2a73dd;
$color-blue-2: #1d365e;
$color-blue-3: #60a4f4;
// white
$color-white-1: #f5f9fe;
$color-white-2: #e2ebfc;
$color-white-3: #fff;

// mixin

@mixin btn-theme($base) {
  padding: $base * 1 $base * 3;
  border-radius: 8px;
  font-size: 14px;
}

@mixin shadow-theme($base) {
  box-shadow: $base * 1px $base * 1px $base * 2px $color-white-2,
$base * -1px $base * -1px $base * 2px $color-white-3;
}

// css
.container {
  width: 80% !important;
}

header {
  background: $color-white-1;
  box-shadow: 0 2px 4px $color-white-2;
  .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    a {
      text-decoration: none;
      margin-right: 15px;
      color: $color-blue-2;
      transition: 0.3s;
      position: relative;
      &:hover {
        color: $color-blue-1;
      }
      &::before {
        content: "";
        position: absolute;
        bottom: -3px;
        left: 50%;
        transform: translateX(-50%);
        width: 0px;
        height: 2px;
        background: $color-blue-1;
        transition: 0.3s;
      }
      &:hover::before {
        width: 100%;
      }
    }
    .logo {
      color: $color-blue-1;
    }
  }
}
.banner {
  background-image: url(../../image/product-header-bg.jpg);
  background-size: cover;
  background-position: bottom;
  background-repeat: no-repeat;

  .infor {
    h2 {
      color: $color-blue-1;
    }
    h3 {
      color: $color-blue-2;
    }

    .btn-infor {
      border: 2px solid $color-blue-1;
      color: $color-blue-1;
      @include btn-theme(15px);
    }
    .btn-shop {
      margin-left: 10px;
      background: linear-gradient(120deg, $color-blue-3, $color-blue-1);
      color: $color-white-3;
      @include btn-theme(17px);
    }
  }
}


.products{
  background-color: $color-white-1;
  padding: 80px 0px;
  h2.title {
    text-align: center;
    font-size: 50px;
    font-weight: bold;
    color:  $color-blue-2;
    margin-bottom: 50px;

  }
  .list {
    .item {
      @include shadow-theme(6);
      border-radius: 8px;
      .wrapper {
        img {
          @include shadow-theme(6);
          border-radius: 8px;
        }
      }
    }
  }
}

// atomic css
